[ANN] Pylint 1.4 released

Claudiu Popa pcmanticore at gmail.com
Sun Nov 23 10:45:38 CET 2014


Hello!

On behalf of the Pylint development team, I'm happy to announce that
Pylint 1.4 has been released.

This release has a lot of improvements over the last one. One of the
main differences is that support for Python versions < 2.7 has been
droped, which allows us to support Python 2.7 and 3.3+ from a single
codebase.


Other important changes:

 * A Python 3 porting checker, activated by the new flag '--py3k'.
   This mode will disable all other checkers and will emit warnings and
   errors for constructs which are invalid or removed in Python 3.

 * New options for controlling the loading of C extensions.
   By default, only C extensions from the stdlib will be loaded
   into the active Python interpreter for inspection, because they
   can run arbitrary code on import. The option `--extension-pkg-whitelist` can
   be used to specify modules or packages that are safe to load.

 * An experimental support for using multiple workers to process files
and packages,
   activated with the new --jobs flag.

 * A new spelling checker (disabled by default).

 * New warnings: boolean-datetime, logging-format-interpolation,
inherit-non-class,
   mixed-line-endings

 * A lot of other small improvements and bug fixes.

If you find any bugs, don't hesitate to open a new issue on our issue tracker.

Enjoy!



More information about the Python-list mailing list